Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.management.runtime
Interface EJBLockingRuntimeMBean

public interface EJBLockingRuntimeMBean
extends weblogic.management.runtime.RuntimeMBean

This interface contains accessor methods for all lock manager runtime information collected for an EJB.

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.

Method Summary
`int` | `getLockEntriesCurrentCount()` Returns the current number of beans currently locked.
`long` | `getLockManagerAccessCount()` Returns the total number of attempts to obtain a lock on a bean.
`long` | `getTimeoutTotalCount()` Returns the current number Threads that have timed out waiting for a lock on a bean.
`int` | `getWaiterCurrentCount()` Returns the current number of Threads that have waited for a lock on a bean.
`long` | `getWaiterTotalCount()` Returns the total number Threads that have waited for a lock on a bean.

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Method Detail

### getLockEntriesCurrentCount

    public int getLockEntriesCurrentCount()

  Returns the current number of beans currently locked.

  Returns:
    The lockEntriesCurrentCount value

### getLockManagerAccessCount

    public long getLockManagerAccessCount()

  Returns the total number of attempts to obtain a lock on a bean. This includes attempts to obtain a lock on a bean that is already locked on behalf of the client.

  Returns:
    The lockManagerAccessCount value

### getWaiterTotalCount

    public long getWaiterTotalCount()

  Returns the total number Threads that have waited for a lock on a bean.

  Returns:
    The waiterTotalCount value

### getWaiterCurrentCount

    public int getWaiterCurrentCount()

  Returns the current number of Threads that have waited for a lock on a bean.

  Returns:
    The waiterCurrentCount value

### getTimeoutTotalCount

    public long getTimeoutTotalCount()

  Returns the current number Threads that have timed out waiting for a lock on a bean.

  Returns:
    The timeoutTotalCount value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD